# Generated from rake-distribute-1.5.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rake-distribute

Name: rubygem-%{gem_name}
Version: 1.5.1
Release: 1%{?dist}
Summary: Generate rake distribute:install, uninstall, and diff tasks to distribute items (files, templates, directories, etc.) to difference locations
License: GPL-3
URL: https://github.com/zhaocai/rake-distribute
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(hoe)
# BuildRequires: rubygem(hoe-gemspec)
# BuildRequires: rubygem(hoe-git)
# BuildRequires: rubygem(hoe-version)
BuildArch: noarch

%description
Generate rake distribute:install, uninstall, and diff tasks to distribute
items (files, templates, directories, etc.) to difference locations.
It is the saver to use rake tasks to manage 1 -> n file distribution. Commonly
applied cases are runcom files, Makefiles, etc. Those files exists in many
locations and are almost identical with slight difference.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gemtest
%{gem_instdir}/.vclog
%{gem_instdir}/Manifest.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/History.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rake-distribute.gemspec
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 1.5.1-1
- Initial package
